<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>My Cart</title>
    <link rel="stylesheet" th:href="@{/css/Design.css}">
</head>
<body>
<header th:replace="~{common/header}">My header here</header>

<div class="container-cart">



    <div class="cart-item-details">
        <div class="checkbox-item">
            <input type="checkbox">
        </div>
<!--        <div class="image">-->
<!--            &lt;!&ndash; <img src="" alt="Product Image"> !&ndash;&gt;-->
<!--            <p>Product Image</p>-->
<!--        </div>-->
        <div class="item-details-text">
            <p>Product Name</p>
            <p>Price</p>
            <p>Quantity</p>
            <p>Seller</p>
            <p>Total Price</p>
        </div>
        <div class="cart-item-actions">
            <button disabled> - </button>
            <button disabled> + </button>
            <button disabled> Delete </button>
        </div>
    </div>

    <div class="cart-item-details" th:each="cart: ${cart}">
        <div class="checkbox-item">
            <input type="checkbox">
        </div>
<!--        <div class="image">-->
<!--            <img src="./images/Apple Watch S6.jpg" th:alt="${cart.product.name}">-->
<!--        </div>-->
        <div class="item-details-text">
<!--            <p class="hidden" th:text="${cart.product.id}" name="id">Product Id</p>-->
            <p th:text="${cart.product.name}">Product Name</p>
            <p th:text="${cart.product.price}">Product Price</p>
            <p th:text="${cart.quantity}">Cart Quantity</p>
            <p th:text="${cart.product.seller.username}">Seller</p>
            <p th:text="(${cart.quantity} * ${cart.product.price})">Total Price</p>
        </div>
        <form action="/cart/edit" method="post" class="cart-item-actions">
            <input type="hidden" name="id" th:value="${cart.id}">
            <button type="submit" name="action" value="subtract"> - </button>
            <button type="submit" name="action" value="add"> + </button>
            <button type="submit" name="action" value="delete"> Delete </button>
        </form>
    </div>

    <div class="cart-actions">
        <button>Delete selected</button>
        <p th:text="'Total Price (' + ${totalItems} + ' Items) Php ' + ${totalPrice}">Total Price</p>
        <button>Check out</button>
    </div>


</div>


<footer th:replace="~{common/footer}">My footer here</footer>
</body>
</html>